--
-- Open the browser and Google the text
-- 
function Shadow4_Search(text, skinWindow)

  _, _, skin, window = skinWindow:find("(.*)::(.*)")

  engine = Rainlendar_GetVariable(skin, window, "Search_engine")
  if engine == "Google" then
    url = "http://google.com/search?ie=utf-8&oe=utf-8&q="
  elseif engine == "Yahoo" then
    url = "http://search.yahoo.com/search?ei=UTF-8&p="
  elseif engine == "Bing" then
    url = "http://www.bing.com/search?q="
  elseif engine == "Amazon" then
    url = "http://www.amazon.com/s?ie=UTF8&index=blended&link_code=qs&field-keywords="
  elseif engine == "eBay" then
    url = "http://www.ebay.com/sch/?_nkw="
  elseif engine == "Twitter" then
    url = "https://twitter.com/#!/search/"
  elseif engine == "Wikipedia" then
    url = "http://en.wikipedia.org/wiki/Special:Search?search="
  elseif engine == "DuckDuckGo" then
    url = "https://duckduckgo.com/?q="
  else
    url = "http://google.com/search?q="
  end

  Rainlendar_Log(skin..window..text..engine)

  url = url .. Shadow4_Url_Encode(text)
  Rainlendar_Execute(url)
end
